<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Windows binary installers</title>
    <link rel="stylesheet" href="../style.css">
  </head>
  <body>
    <div class="navbar">
      <a href="https://manchester_qbi.gitlab.io/manchester_qbi_public/madym_binaries/">All installers</a>
      <a href="https://gitlab.com/manchester_qbi/manchester_qbi_public/madym_cxx/">Madym source code repository</a>
    </div>
    <div class="textblock"><p><img src="../madym_lrg.png" alt="Madym logo" class="inline"/></p>
    
    <h1>Windows installers</h1>
    
    <p style="width: 800px;">
    Please download your required version below. Unless you specifically want to compare previous versions, we recommend installing the most recent version, 
    which currently is 4.24.0, listed below. Older versions can be downloaded by browsing the project repository 
    <a href="https://gitlab.com/manchester_qbi/manchester_qbi_public/madym_binaries/-/tree/master/public/windows" title="Installer repository">here</a>.
    <br>
    <br>
    For each version, there is an MSI installer containing all the tools, including the Madym GUI. This will install Madym into Program Files 
    (creating start menu links <i>etc</i>) and requires admin rights to install. 
    In addition, there are zip packages both with and without GUI. These can be downloaded and run directly from the unzip location. 
    <br>
    <br>
    When you install from MSI, the installer will attempt to set an environmental variable <i>MADYM_ROOT</i> storing the path to the <i>bin</i> folder of your new install. If you have previous versions of Madym installed, <i>MADYM_ROOT</i> may not update correctly, so we advise you to check it manually after running the install script. 
    <br>
    <br>
    If you are unsure which version you require, please contact us via the 
    <a href="https://gitlab.com/manchester_qbi/manchester_qbi_public/madym_cxx/-/issues" title="Madym issues">project issue boards</a> on GitLab. 
    </p>
    <ul style="list-style-type:circle">
      <li>4.24.0
        <ul style="list-style-type:circle">
          <li><a href="madym_v4.24.0-Windows-10.0.19044.exe" title="madym_v4.24.0-Windows-10.0.19044.exe" download>MSI installer</a></li>
          <li><a href="madym_v4.24.0-Windows-10.0.19044.zip" title="madym_v4.24.0-Windows-10.0.19044.zip" download>Zip package with GUI</a></li>
          <li><a href="madym_v4.24.0-Windows-10.0.19044-no_gui.zip" title="madym_v4.24.0-Windows-10.0.19044-no_gui.zip" download>Zip package command-line tools only</a></li>
        </ul>
      </li>      
      
    </ul>
    <p style="width: 800px;">
    These packages have been built using Microsoft Visual Studio 2019 community edition.
    </p>
    
     
  </body>
</html>

